import * as types from '../const'

const initialState = {
  friends: {} as Record<string, number>,
  user: {},
}

export const starsReducer = (state = initialState, action) => {
  switch (action.type) {
    case types.SET_STARS:
      return {
        ...state,
        friends: {
          ...state.friends,
          [action.payload.id]: action.payload.value,
        },
      }
    case types.INCREMENT_STARS:
      return {
        ...state,
        friends: {
          ...state.friends,
          [action.payload.id]: state[action.payload.id] + 1,
        },
      }

    case types.DECREMENT_STARS:
      return {
        ...state,
        friends: {
          ...state.friends,
          [action.payload.id]: state[action.payload.id] - 1,
        },
      }

    default: return state
  }
}
