import { useForm, Controller } from 'react-hook-form'
import { Box, Button, Input } from '@chakra-ui/react'
import React, { useEffect, useRef } from 'react'

type Inputs = {
  name: string
  age: string
}

export const FormTest = ({ name }) => {
  const {
    register,
    control,
    handleSubmit,
    watch,
    reset,
    setValue,
    formState: { errors },
  } = useForm<Inputs>({
    mode: 'onChange',
    defaultValues: {
      name: name,
      age: '12',
    },
  })

  const onSibmit = ({ name, age }) => {
    // console.log(1111111, name, age)
  }

  return (
    <>
      <Box
        as="form"
        flexDirection="column"
        display="flex"
        onSubmit={handleSubmit(onSibmit)}
      >
        <label>
          Name:
          <Controller
            control={control}
            name="name"
            rules={{
              required: 'required 4 now',
              minLength: { value: 4, message: 'min 4 now' },
            }}
            render={({ field, fieldState, formState }) => <Input {...field} />}
          />
        </label>

        <label>
          Age:
          <Controller
            control={control}
            name="age"
            render={({ field, fieldState, formState }) => (
              <Input type="number" {...field} />
            )}
          />
        </label>
        <Button type="submit">Submit</Button>
      </Box>
    </>
  )
}
